Author Topic: Solved - Imap not Compiled with php7.1.0-dev Help  (Read 5580 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Solved - Imap not Compiled with php7.1.0-dev Help
« on: June 12, 2016, 12:15:09 AM »
I've been trying to install/compile imap with the php 7.1.0-dev with the php switcher, and trying bash found on the internet for the past few hours to no avail.
I have tried manually inputting the following for compiling with the switcher simultaneously and individually with checking the imap button;
--with-imap
--with-imap-ssl
--with-kerberos
The module list does not show imap. Has anyone gotten this to work yet.
« Last Edit: June 12, 2016, 03:05:53 AM by rasheid »

Offline
*
Re: Imap not Compiled with php7.1.0-dev Help
« Reply #1 on: June 12, 2016, 02:04:54 AM »
using the php selector i get this at he end of compiling:
configure: error: recode extension can not be configured together with: imap

Offline
*
Re: Imap not Compiled with php7.1.0-dev Help
« Reply #2 on: June 12, 2016, 02:44:13 AM »
http://php.net/manual/en/imap.installation.php
PHP website has the following:

Warning
The IMAP, recode, YAZ and Cyrus extensions cannot be used in conjunction, because they share the same internal symbols. Note: Yaz 2.0 and above does not suffer from this problem.

Im gonna remove recode from the compile configuration on the on the selector and compile, then from the version switcher and compile to see what happens

Offline
*
Solved - Imap not Compiled with php7.1.0-dev Help
« Reply #3 on: June 12, 2016, 03:05:10 AM »
 :) :) :) :)
Everything works now

PHP Selector
Click "edit flag" for php7 > just remove the "--with-recode=/usr" line, and add
--with-imap
--with-imap-ssl
--with-kerberos
 at the bottom of the file and Save
>Tick the "PHP 7.x" Check box > Install dependencies (Follow log using the tail command and wait until finished)
>Tick the "PHP 7.x" Check box> Start Compile (Follow log using the tail command and wait until finished)

PHP Version Switcher
> Select php 7.X (latest development) > click "Next"
> Remove the line "--with-recode=/usr"
> Check the "Install Imap" check box
> Click "Start compile in background"

This worked for me hopefully it will work for you also